Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::background_node Class Reference

Inheritance diagram for openvrml::vrml97_node::background_node:

[legend]
List of all members.

## Detailed Description

Background node instances.

## Public Member Functions

| background_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~background_node () throw ()
| Destroy.

## Private Member Functions

virtual void | do_initialize (double timestamp) throw ()
| Initialize.
virtual void | do_shutdown (double timestamp) throw ()
| Shut down.
void | update_textures ()
| Called lazily to update texture data.

## Private Attributes

set_bind_listener | set_bind_listener_
| set_bind eventIn handler.
exposedfield< mffloat > | ground_angle_
| groundAngle exposedField.
exposedfield< mfcolor > | ground_color_
| groundColor exposedField.
back_url_exposedfield | back_url_
| backUrl exposedField.
bottom_url_exposedfield | bottom_url_
| bottomUrl exposedField.
front_url_exposedfield | front_url_
| frontUrl exposedField.
left_url_exposedfield | left_url_
| leftUrl exposedField.
right_url_exposedfield | right_url_
| rightUrl exposedField.
top_url_exposedfield | top_url_
| topUrl exposedField.
exposedfield< mffloat > | sky_angle_
| skyAngle exposedField.
exposedfield< mfcolor > | sky_color_
| skyColor exposedField.
sfbool | is_bound_
| isBound eventOut value.
sfbool_emitter | is_bound_emitter_
| isBound eventOut emitter.
image | front
| Front image.
bool | front_needs_update
| Flag to indicate that the front image needs to be updated.
image | back
| Back image.
bool | back_needs_update
| Flag to indicate that the back image needs to be updated.
image | left
| Left image.
bool | left_needs_update
| Flag to indicate that the left image needs to be updated.
image | right
| Right image.
bool | right_needs_update
| Flag to indicate that the right image needs to be updated.
image | top
| Top image.
bool | top_needs_update
| Flag to indicate that the top image needs to be updated.
image | bottom
| Bottom image.
bool | bottom_needs_update
| Flag to indicate that the bottom image needs to be updated.
viewer::object_t | viewerObject
| Handle for the renderer.

## Friends

class | background_class
| Class object for Background nodes.

## Classes

class | back_url_exposedfield
| backUrl exposedField implementation. More...
class | bottom_url_exposedfield
| bottomUrl exposedField implementation. More...
class | front_url_exposedfield
| frontUrl exposedField implementation. More...
class | left_url_exposedfield
| leftUrl exposedField implementation. More...
class | set_bind_listener
| set_bind eventIn listener. More...
class | right_url_exposedfield
| rightUrl exposedField implementation. More...
class | top_url_exposedfield
| topUrl exposedField implementation. More...

## Constructor & Destructor Documentation

openvrml::vrml97_node::background_node::background_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the node instance.
  | scope | the scope to which the node belongs.

openvrml::vrml97_node::background_node::~background_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

void openvrml::vrml97_node::background_node::do_initialize | ( | double | timestamp | ) | throw ()`[private, virtual]`

Initialize.

Parameters:

  | timestamp | the current time.

Reimplemented from openvrml::node.

void openvrml::vrml97_node::background_node::do_shutdown | ( | double | timestamp | ) | throw ()`[private, virtual]`

Shut down.

Calls background_class::unbind to unbind the node if it is bound.

Parameters:

  | timestamp | the current time.

Reimplemented from openvrml::node.

void openvrml::vrml97_node::background_node::update_textures | ( |  | ) | `[private]`

| Called lazily to update texture data.

## Friends And Related Function Documentation

openvrml::vrml97_node::background_node::background_class`[friend]`

| Class object for Background nodes.

## Member Data Documentation

background_node::set_bind_listener openvrml::vrml97_node::background_node::set_bind_listener_ `[private]`

| set_bind eventIn handler.

exposedfield< mffloat > openvrml::vrml97_node::background_node::ground_angle_ `[private]`

| groundAngle exposedField.

exposedfield< mfcolor > openvrml::vrml97_node::background_node::ground_color_ `[private]`

| groundColor exposedField.

background_node::back_url_exposedfield openvrml::vrml97_node::background_node::back_url_ `[private]`

| backUrl exposedField.

background_node::bottom_url_exposedfield openvrml::vrml97_node::background_node::bottom_url_ `[private]`

| bottomUrl exposedField.

background_node::front_url_exposedfield openvrml::vrml97_node::background_node::front_url_ `[private]`

| frontUrl exposedField.

background_node::left_url_exposedfield openvrml::vrml97_node::background_node::left_url_ `[private]`

| leftUrl exposedField.

background_node::right_url_exposedfield openvrml::vrml97_node::background_node::right_url_ `[private]`

| rightUrl exposedField.

background_node::top_url_exposedfield openvrml::vrml97_node::background_node::top_url_ `[private]`

| topUrl exposedField.

exposedfield< mffloat > openvrml::vrml97_node::background_node::sky_angle_ `[private]`

| skyAngle exposedField.

exposedfield< mfcolor > openvrml::vrml97_node::background_node::sky_color_ `[private]`

| skyColor exposedField.

sfbool openvrml::vrml97_node::background_node::is_bound_ `[private]`

| isBound eventOut value.

sfbool_emitter openvrml::vrml97_node::background_node::is_bound_emitter_ `[private]`

| isBound eventOut emitter.

image openvrml::vrml97_node::background_node::front `[private]`

| Front image.

bool openvrml::vrml97_node::background_node::front_needs_update `[private]`

| Flag to indicate that the front image needs to be updated.

image openvrml::vrml97_node::background_node::back `[private]`

| Back image.

bool openvrml::vrml97_node::background_node::back_needs_update `[private]`

| Flag to indicate that the back image needs to be updated.

image openvrml::vrml97_node::background_node::left `[private]`

| Left image.

bool openvrml::vrml97_node::background_node::left_needs_update `[private]`

| Flag to indicate that the left image needs to be updated.

image openvrml::vrml97_node::background_node::right `[private]`

| Right image.

bool openvrml::vrml97_node::background_node::right_needs_update `[private]`

| Flag to indicate that the right image needs to be updated.

image openvrml::vrml97_node::background_node::top `[private]`

| Top image.

bool openvrml::vrml97_node::background_node::top_needs_update `[private]`

| Flag to indicate that the top image needs to be updated.

image openvrml::vrml97_node::background_node::bottom `[private]`

| Bottom image.

bool openvrml::vrml97_node::background_node::bottom_needs_update `[private]`

| Flag to indicate that the bottom image needs to be updated.

viewer::object_t openvrml::vrml97_node::background_node::viewerObject `[private]`

| Handle for the renderer.